API referenceRuns
Get Thread
GET
/api/v1/threads/{thread_id}AuthorizationBearer <token>
A workspace API key (a13n_...)
In: header
Path Parameters
thread_id*Thread Id
Header Parameters
X-Workspace-ID?|
The workspace ID a login session acts in; required with a login session. An API key acts in its own workspace and needs none; naming another is forbidden.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/threads/string"{ "archived_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "current_run_id": "string", "head_run_id": "string", "id": "string", "labels": { "property1": "string", "property2": "string" }, "last_run_id": "string", "mcp_headers": { "property1": { "property1": "string", "property2": "string" }, "property2": { "property1": "string", "property2": "string" } }, "message_history": [ { "property1": null, "property2": null } ], "origin": "new", "origin_run_id": "string", "origin_thread_id": "string", "origin_tool_call_id": "string", "session_id": "string", "subagent": "string", "updated_at": "2019-08-24T14:15:22Z", "version": 0, "workspace_id": "string"}